version: '3.7'

services:
  s3:
    image: adobe/s3mock
    ports:
      - '9090:9090'
      - '9191:9191'
    environment:
      initialBuckets: 'zabucket'

  ftp:
    image: stilliard/pure-ftpd
    container_name: pure-ftpd
    ports:
      - '21:21'
      - '30000-30009:30000-30009'

    environment:
      PUBLICHOST: 'localhost'
      FTP_USER_NAME: hindawi
      FTP_USER_PASS: mypass
      FTP_USER_HOME: /home/hindawi

    restart: always
